import { IEmbeddedLanguagesMap, Thenable } from 'vscode-textmate';
import { ThemeData } from './themes';
import { IThemedToken, IThemedTokenScopeExplanation } from './themedTokenizer';
export interface IExpectedTokenization {
    content: string;
    color: string;
    _r: string;
    _t: string;
}
interface IActualCanonicalToken {
    content: string;
    color: string;
    scopes: IThemedTokenScopeExplanation[];
}
interface ITokenizationDiff {
    oldIndex: number;
    oldToken: IExpectedTokenization;
    newToken: IActualCanonicalToken;
}
export declare class SingleThemeTest {
    readonly themeName: string;
    private readonly testName;
    private readonly contents;
    private readonly initialScopeName;
    private readonly initialLanguage;
    private readonly embeddedLanguages;
    private readonly patchedExpected;
    private backgroundColor;
    actual: IThemedToken[];
    diff: ITokenizationDiff[];
    patchedDiff: ITokenizationDiff[];
    constructor(themeName: string, testName: string, contents: string, initialScopeName: string, initialLanguage: number, embeddedLanguages: IEmbeddedLanguagesMap);
    evaluate(themeData: ThemeData): Thenable<IThemedToken[][]>;
    private _tokenizeWithThemeAsync;
    private static computeThemeTokenizationDiff;
}
export {};
