"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var themedTokenizer_1 = require("./themedTokenizer");
var ThemeTokenizer = /** @class */ (function () {
    function ThemeTokenizer(themeData, initialScopeName, initialLanguage, embeddedLanguages) {
        this.themeData = themeData;
        this.initialScopeName = initialScopeName;
        this.initialLanguage = initialLanguage;
        this.embeddedLanguages = embeddedLanguages;
    }
    ThemeTokenizer.prototype.loadGrammarAsync = function () {
        return this.themeData.registry.loadGrammarWithEmbeddedLanguages(this.initialScopeName, this.initialLanguage, this.embeddedLanguages);
    };
    ThemeTokenizer.prototype.tokenizeWithTheme = function (contents, grammar) {
        return themedTokenizer_1.tokenizeWithTheme(this.themeData.theme, this.themeData.registry.getColorMap(), contents, grammar);
    };
    return ThemeTokenizer;
}());
exports.ThemeTokenizer = ThemeTokenizer;
//# sourceMappingURL=tokenizer.js.map